//////////////////////////////////////////////////////////////////////////////////////
//  
//  FMPluginRGBA.cpp - Placeholder external function for FileMaker plug-in
//
//  Copyright 2003-2006 by 24U Software. All rights reserved.
//
//  Written by Tomas Rycl
//
////////////////////////////////////////////////////////////////////////////////
//
//  This example is based on 24U FM Template, a stationery for building
//  FileMaker plug-ins from 24u Software.
//
//  The latest version of 24U FM Template is available for download from:
//
//  http://24uSoftware.com/FMTemplate  or  http://www.NewMillennium.com/
//
////////////////////////////////////////////////////////////////////////////////
//
//  24U Sample Code - Terms of use
//
//  You may incorporate this sample code into your products without
//  restriction, though the code has been provided "AS IS" and the
//  responsibility for its operation is 100% yours.
//
//  You are not however permitted to redistribute the source
//  as "24U Sample Code" after having made changes.
//
//  If you are going to redistribute the source with references to
//  24U Software, we require that you make it clear in the source that
//  the code was descended from 24U Sample Code, but that you've made changes.
//
////////////////////////////////////////////////////////////////////////

//
//  This function combines R, G, B, A color components into one number.
//
//  However this source code is only a placeholder file. To obtain
//  a full functionality of the 24U SimpleHighlight Plug-In buy  
//  the full version.
//
////////////////////////////////////////////////////////////////////////////////

#include "FMPlugin.h"
#include "FMTemplate/FMTemplate.h"

#pragma mark SLight_RGBA
FMX_PROC(fmx::errcode) SLight_RGBA(short funcId, const fmx::ExprEnv& environment, const fmx::DataVect& dataVect, fmx::Data& result)
{
    #pragma unused(funcId,environment)                                          // This function is supposed to work anywhere
    
    XPLAT_ALERT("24U SimpleHighlight Plug-In 2.0 Lite does not support SLight_RGBA. Buy a full version for extended functionality");
    
    fmx::FixPtAutoPtr errCode;
    
    fmx::errcode err = -4;                                                      //Mac error: unimplemented routine
    
    errCode->AssignInt(err);                                                    //Put error code into the FixPtAutoPtr
    result.SetAsNumber(*errCode);                                               // and send it back to the FileMaker.
    
    return 0;
}