//////////////////////////////////////////////////////////////////////////////////////
//  
//  ColorSwatchPC.h - Sample support file for FileMaker plug-in
//
//  Copyright 2003-2005 by 24U Software. All rights reserved.
//
//  Written by Tomas Zahradnicky & HOnza Koudelka
//
////////////////////////////////////////////////////////////////////////////////
//
//  This example is intended for a FileMaker plug-in based on 24U FM Template,
//  a stationery from 24U Software.
//
//  The latest version of 24U FM Template is available for download from:
//
//  http://24uSoftware.com/FMTemplate  or  http://www.NewMillennium.com/
//
////////////////////////////////////////////////////////////////////////////////
//
//  24U Sample Code - Terms of use
//
//  You may incorporate this sample code into your products without
//  restriction, though the code has been provided "AS IS" and the
//  responsibility for its operation is 100% yours.
//
//  You are not however permitted to redistribute the source
//  as "24U Sample Code" after having made changes.
//
//  If you are going to redistribute the source with references to
//  24U Software, we require that you make it clear in the source that
//  the code was descended from 24U Sample Code, but that you've made changes.
//
////////////////////////////////////////////////////////////////////////

//
//  This file contains declarations for the Windows Color Swatch
//
////////////////////////////////////////////////////////////////////////////////

#if !(__INTEL__ || _MSC_VER)
    #error This version of ColorSwatch.h is intended for use with PC only
#endif

#ifndef __ColorSwatch_h__
#define __ColorSwatch_h__

    #if __cplusplus
        extern "C" {
    #endif

        HWND        ColorSwatchCreate(HWND iParent, const RECT* iRect, COLORREF iColor);
        COLORREF    ColorSwatchGetColor(HWND iSwatch);
        void        ColorSwatchSetColor(HWND iSwatch, COLORREF oColor);
        void        ColorSwatchMakeFrom(HWND iSwatch, COLORREF iColor);
        void        ColorSwatchDraw(const LPDRAWITEMSTRUCT iDS);
        void        ColorSwatchClick(HWND iSwatch);

    #if __cplusplus
        }
    #endif
    
#endif